DKBSignDocs

API reference

GETRequires Bearer token

Get a signature or stamp image

/api/v4/users/signature-image

Retrieve /api/v4/users/signature-image. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

FieldTypeDescription
type
stringsignature (default) or stamp.
e.g. "signature"

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Image
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/v4/users/signature-image?type=signature' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "type": "signature",
  "url": "https://files.example/sig.png"
}